#include <Wire.h>
#include <Adafruit_Sensor.h>
#include <Adafruit_BME280.h>

#define PRESSURE_AT_SEALEVEL 1013.25 // Luftdruck bei Normalnull (am Meeresspiegel)

Adafruit_BME280 bme;

void setup() {
  Serial.begin(9600);
  while (true) {
    if (bme.begin(0x76)) {
      break;
    }
    
    Serial.println("Der BME280-Sensor wurde nicht gefunden.");
    delay(5000);
  }
  Serial.println("Die Verbindung mit dem BME280-Sensor wurde hergestellt.");
}

void loop() {
	Serial.println("Gemessene Temperatur: " + String(bme.readTemperature()) + " °C");
	Serial.println("Gemessener Luftdruck: " + String(bme.readPressure()/100.) + " hPa");
  Serial.println("Gemessene Luftfeuchtigkeit: " + String(bme.readHumidity()) + " %");
  Serial.println("Ungefähre Höhe über NN: " + String(bme.readAltitude(PRESSURE_AT_SEALEVEL)) + " m");

	Serial.println();
	delay(5000);
}